import { SocketWrapper } from "mpc-js-core";
export declare class WebSocketWrapper implements SocketWrapper {
    private url;
    private textEncoder;
    private textDecoder;
    private wsClient?;
    private deferred?;
    constructor(url: string);
    connect(receive: (msg: string) => void, emit?: (eventName: string, arg?: any) => void): Promise<void>;
    send(msg: string): void;
    disconnect(): void;
}
